Robots
Update a robot
Update a Robot's name, description, playbook, direct tools, or assigned Toolsets.
PATCH
/robots/{robot_id}Update a Robot's name, description, playbook, direct tools, or assigned Toolsets.
storyden-session<token>
In: cookie
Path Parameters
robot_id*string
Robot ID
Format
xidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/robots/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "description": "string", "playbook": "string", "model": "string", "workspace_id": null, "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "tools": [ "string" ], "toolsets": [ "string" ], "meta": {}}